<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{454B96E9-B255-4909-A167-7DFA3E4873A5}</ProjectGuid>
    <RootNamespace>wintimer</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>Unicode</CharacterSet>
    <PlatformToolset>Windows7.1SDK</PlatformToolset>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
    <PlatformToolset>Windows7.1SDK</PlatformToolset>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="PropertySheets">
    <Import Project="..\SF.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="PropertySheets">
    <Import Project="..\SF.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup />
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>
      <StructMemberAlignment>16Bytes</StructMemberAlignment>
      <AdditionalOptions>/Zm110 %(AdditionalOptions)</AdditionalOptions>
      <DisableLanguageExtensions>false</DisableLanguageExtensions>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Manifest>
      <AdditionalManifestFiles>DeclareDPIAware.manifest %(AdditionalManifestFiles)</AdditionalManifestFiles>
    </Manifest>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>false</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="application.h" />
    <ClInclude Include="base_window.h" />
    <ClInclude Include="code_converter.h" />
    <ClInclude Include="dout.h" />
    <ClInclude Include="dpi.h" />
    <ClInclude Include="exception.h" />
    <ClInclude Include="icon.h" />
    <ClInclude Include="jumplist.h" />
    <ClInclude Include="logger.h" />
    <ClInclude Include="message_loop.h" />
    <ClInclude Include="resource.h" />
    <ClInclude Include="sf_com.h" />
    <ClInclude Include="sf_memory.h" />
    <ClInclude Include="sf_windows.h" />
    <ClInclude Include="singleton.h" />
    <ClInclude Include="stdafx.h" />
    <ClInclude Include="taskbar.h" />
    <ClInclude Include="timer.h" />
    <ClInclude Include="toplevel_window.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="application.cpp" />
    <ClCompile Include="base_window.cpp" />
    <ClCompile Include="code_converter.cpp" />
    <ClCompile Include="dpi.cpp" />
    <ClCompile Include="exception.cpp" />
    <ClCompile Include="icon.cpp" />
    <ClCompile Include="jumplist.cpp" />
    <ClCompile Include="logger.cpp" />
    <ClCompile Include="sf_windows.cpp" />
    <ClCompile Include="stdafx.cpp">
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">Create</PrecompiledHeader>
      <PrecompiledHeader Condition="'$(Configuration)|$(Platform)'=='Release|x64'">Create</PrecompiledHeader>
    </ClCompile>
    <ClCompile Include="taskbar.cpp" />
    <ClCompile Include="timer.cpp" />
    <ClCompile Include="toplevel_window.cpp" />
    <ClCompile Include="winmain.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="minitimer.rc" />
  </ItemGroup>
  <ItemGroup>
    <None Include="icon1.ico" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>